<ion-app>
  <OnlyIfLoggedIn>
    <ion-menu content-id="main-content" side="end">
      <ion-header>
        <ion-toolbar color="primary">
          <ion-title>Menu</ion-title>
        </ion-toolbar>
      </ion-header>

      <ion-content>
        <ion-list>
          <ion-list-header>
            Navigate
          </ion-list-header>
          <ion-menu-toggle auto-hide="false">
            <ion-item button on:click={() => navigateTo('myOutings')}>
              <ion-icon slot="start" name='hammer'></ion-icon>
              <ion-label>
                My Outings
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-menu-toggle auto-hide="false">
            <ion-item button on:click={() => navigateTo('manageUsers')}>
              <ion-icon slot="start" name='people'></ion-icon>
              <ion-label>
                Manage Users
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
          <ion-list-header>
            Account
          </ion-list-header>
          <ion-menu-toggle auto-hide="false">
            <ion-item button on:click={() => Meteor.logout()}>
              <ion-icon slot="start" name='log-out'></ion-icon>
              <ion-label>
                Logout
              </ion-label>
            </ion-item>
            <ion-item button on:click={() => navigateTo('reportScore')}>
              <ion-icon slot="start" name='person'></ion-icon>
              <ion-label>
                Profile
              </ion-label>
            </ion-item>
            <ion-item button on:click={() => navigateTo('changePassword')}>
              <ion-icon slot="start" name='lock-open'></ion-icon>
              <ion-label>
                Change Password
              </ion-label>
            </ion-item>
          </ion-menu-toggle>
        </ion-list>
      </ion-content>
    </ion-menu>

    <ion-page class="ion-page" id="main-content">
      <ion-header>
          <ion-toolbar>
            {#if $layoutStore.showBack}
            <ion-buttons slot="start">
              <ion-button on:click={() => window.history.back()}>
                <ion-icon slot="start" name="chevron-back-outline"></ion-icon>
                back
              </ion-button>
            </ion-buttons>
            {/if}
          <ion-title>{$layoutStore.title}</ion-title>
          <ion-buttons slot="end">
              <ion-menu-toggle>
              <ion-button>
                  <ion-icon slot="icon-only" name="menu"></ion-icon>
              </ion-button>
              </ion-menu-toggle>
          </ion-buttons>
          </ion-toolbar>
      </ion-header>
      <OnlyIfInRole role={slots.role}>
        <svelte:component this={slots.content} />
      </OnlyIfInRole>
      <!-- <ion-footer>
          <ion-toolbar>
              <ion-title>Footer</ion-title>
          </ion-toolbar>
      </ion-footer> -->
    </ion-page>
  </OnlyIfLoggedIn>
</ion-app>
<ion-menu-controller></ion-menu-controller>

<script>
import OnlyIfLoggedIn from '/client/components/OnlyIfLoggedIn'
import OnlyIfInRole from '/client/components/OnlyIfInRole'
import {Role} from '/lib/Roles'
import {navigateTo} from 'svelte-grouter'
import {layoutStore} from '/client/LayoutStore'
export let slots

</script>